开发者社区> 问答> 正文

为什么使用yum安装node和npm还是低版本

youngsun30 2019-01-28 14:22:22 1000

镜像是官方centos7.2 yum安装下来的node npm都是低版本

分享到
取消 提交回答
全部回答(5)
  • pingzidong
    2019-07-17 23:27:12

    我也有相同的困惑,curl -sL https://rpm.nodesource.com/setup_10.x | sudo bash - 更新node源就可以了

    0 0
  • 九十
    2019-07-17 23:27:12
    0 0
  • willkan
    2019-07-17 23:27:12

    yum install安装的版本取决于yum源

    可以通过 yum --showduplicates list nodejs | expand确认有哪些版本

    如果未发现有新版本,可以更新yum源再安装

    curl --silent --location https://rpm.nodesource.com/setup_10.x | bash - #以10.x 版本为例,要9.x的话只要把该命令中10.x改为9.x就好
    yum install nodejs
    0 0
  • 耳东@Erdong
    2019-07-17 23:27:12

    可以 考虑使用 yum update 升级系统后再安装会新一些。

    如果需要 node 和 npm 的最新版本的话,建议去 官网下载最新包进行安装。yum 会有一定的时延。

    0 0
  • 1426694731350515
    2019-07-17 23:27:12

    路过

    0 0
添加回答
+ 订阅

时时分享云计算技术内容,助您降低 IT 成本,提升运维效率,使您更专注于核心业务创新。

推荐文章